Index: guc.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/utils/misc/guc.c,v
retrieving revision 1.252
diff -c -r1.252 guc.c
*** guc.c	1 Jan 2005 05:43:08 -0000	1.252
--- guc.c	5 Jan 2005 20:53:03 -0000
***************
*** 4274,4285 ****
  
  	if (pg_strcasecmp(name, "all") == 0)
  	{
! 		/* need a tuple descriptor representing two TEXT columns */
! 		tupdesc = CreateTemplateTupleDesc(2, false);
  		TupleDescInitEntry(tupdesc, (AttrNumber) 1, "name",
  						   TEXTOID, -1, 0);
  		TupleDescInitEntry(tupdesc, (AttrNumber) 2, "setting",
  						   TEXTOID, -1, 0);
  	}
  	else
  	{
--- 4274,4288 ----
  
  	if (pg_strcasecmp(name, "all") == 0)
  	{
! 		/* need a tuple descriptor representing three TEXT columns */
! 		tupdesc = CreateTemplateTupleDesc(3, false);
  		TupleDescInitEntry(tupdesc, (AttrNumber) 1, "name",
  						   TEXTOID, -1, 0);
  		TupleDescInitEntry(tupdesc, (AttrNumber) 2, "setting",
  						   TEXTOID, -1, 0);
+ 		TupleDescInitEntry(tupdesc, (AttrNumber) 3, "description",
+ 						   TEXTOID, -1, 0);
+ 
  	}
  	else
  	{
***************
*** 4352,4365 ****
  	int			i;
  	TupOutputState *tstate;
  	TupleDesc	tupdesc;
! 	char	   *values[2];
  
! 	/* need a tuple descriptor representing two TEXT columns */
! 	tupdesc = CreateTemplateTupleDesc(2, false);
  	TupleDescInitEntry(tupdesc, (AttrNumber) 1, "name",
  					   TEXTOID, -1, 0);
  	TupleDescInitEntry(tupdesc, (AttrNumber) 2, "setting",
  					   TEXTOID, -1, 0);
  
  	/* prepare for projection of tuples */
  	tstate = begin_tup_output_tupdesc(dest, tupdesc);
--- 4355,4371 ----
  	int			i;
  	TupOutputState *tstate;
  	TupleDesc	tupdesc;
! 	char	   *values[3];
  
! 	/* need a tuple descriptor representing three TEXT columns */
! 	tupdesc = CreateTemplateTupleDesc(3, false);
  	TupleDescInitEntry(tupdesc, (AttrNumber) 1, "name",
  					   TEXTOID, -1, 0);
  	TupleDescInitEntry(tupdesc, (AttrNumber) 2, "setting",
  					   TEXTOID, -1, 0);
+ 	TupleDescInitEntry(tupdesc, (AttrNumber) 3, "description",
+ 					   TEXTOID, -1, 0);
+ 					   
  
  	/* prepare for projection of tuples */
  	tstate = begin_tup_output_tupdesc(dest, tupdesc);
***************
*** 4375,4380 ****
--- 4381,4387 ----
  		/* assign to the values array */
  		values[0] = (char *) conf->name;
  		values[1] = _ShowOption(conf);
+ 		values[2] = (char *) conf->short_desc;
  
  		/* send it to dest */
  		do_tup_output(tstate, values);
